{% extends "codex_app/base.html" %}
{% load static %}
{% block title %}{{text.title}} — text{% endblock title %}
{% block style %}
body {
font-family: monospace;
}

#viewport {
position: absolute;
top: 0;
left: 12em;
bottom: 0;
overflow-y: auto;
width: 60em;
}

.text-title {
margin-left: 138px;
}

#tools {
position: absolute;
left: 73em;
right: 0;
top: 0;
/* max-width: 32em; */
bottom: 0;
overflow-y: auto;
}

#tooltip-box {
width: 0;
height: 0;
background-color: rgba(253, 253, 199, 0.253);
}
#tooltip-box.active {
position: absolute;
width: 100%;
height: 100%;
top: 0;
left: 0;
z-index: 10000;
}
.tooltip-inner {
background-color: white;
border: 1px solid lightcoral;
padding: 1em;
}
.paragraph {
margin: 1em 0;
line-height: 170%;
display: flex;
flex-direction: row;
align-items: baseline;
}

.paragraph .note {
text-align: right;
width: 138px;
padding-right: 0.8em;
flex-shrink: 0;
font-size: 8pt;
font-family: sans-serif;
line-height: 120%;
}

.note-annotation {
border-right: 1px solid lightgray;
padding-right: 0.5em;
}

.paragraph .text {
margin-right: 2em;
}

.rel {
margin: 1em;
}

.depth-0 {
padding-left: 0;
}

.depth-1 {
padding-left: 2em;
}

.depth-2 {
padding-left: 4em;
}

.term-name {
font-weight: bold;
}

.annotated {
background-color: #0084ff0a;
}
.highlight {
background-color: #ff3c0038;
}

.note-annotation {
cursor: pointer;
}

.n-1 {
border-bottom: 1px solid grey;
}
.n-2 {
border-bottom: 2px solid grey;
}
.n-3 {
border-bottom: 3px solid grey;
}
.n-4 {
border-bottom: 4px solid grey;
}

.q-1:after {
content: '*';
}

.q-2:after {
content: '**';
}

.q-3:after {
content: '***';
}

.q-4:after {
content: '****';
}

.term-wrapper {
display: inline-block;
}
.term-select {
background-color: white;
border-style: solid;
border-radius: 2px;
border-width: 1px;
margin: 6px;
padding: 6px;
}
.term-select:hover {
background-color: blanchedalmond;
border-color: black;
}
h3.term-name {
font-size: 11pt;
margin-bottom: 0;
}
a.term-link {
color: #4e4e4e;
}

.term-select-short {
font-size: 6pt;
margin-left: 2em;
padding: 2px;
}
.qualifiers {
display: flex;
font-style: italic;
font-size: 80%;
color: brown;
}

.qualifiers div {
margin: 0.6em
}

.qualifier-selected {
font-weight:bold;
}

.qualifier-select {
cursor: pointer;
}

.qualifier-select:hover {
text-decoration: underline;
}



{% endblock %}

{% block content %}

<div id="viewport">
    <h1 class="text-title">{{text.title}}</h1>
    <div id="text"></div>
</div>

<div id="tools">
    <h2>Codex</h2>
    <div id="codex"></div>
</div>
<div id="tooltip-box"></div>

{% endblock %}

{% block script %}

import { main } from "{% static 'codex_app/js/codex-text/index.js' %}";
const paragraphs = {{ paragraphs|safe }};
const terms = {{ terms|safe }};
const annotations = {{ annotations|safe }};
const qualifiers = {{ qualifiers|safe }};
main({
"app/mode": 'text',
"app/user": {{user|safe}},
paragraphs,
terms,
qualifiers,
"annotations/paragraph":annotations,
'app/csrf' : "{{ csrf_token }}",
});
{% endblock %}